import React, { Component } from 'react';
import { Link } from "react-router-dom";

import Loader from 'react-loader-spinner';
import AddNewStaff from '../../components/BtnAddNewStaff'

class AllStaffs extends Component {
    
    render() {
            
        const {inputStaffs,isFetching,getInfoStaffData} = this.props
        console.log(this.props)
           
        let data;
            if(isFetching===true){
                data =  <div className="loader" 
                            style={{ height:"70vh", 
                                display:"flex", 
                                "justify-content": "center", 
                                "align-items": "center"}}
                        > 
                            <Loader 
                                type="Triangle"
                                color="#1890ff"
                                height="100"	
                                width="100"
                            /> 
                        </div> 
            }
            else{
                data = <div className="staffs">
                    {inputStaffs.map((el,key)=>(
                        <Link to={'/staff'} 
                            key={key} 
                            onClick={getInfoStaffData.bind(null,[{description: el.description, title: el.title, price: el.price, img: el.img}])}
                        >
                            <div className="staff" > 
                                <h1>{el.title}</h1> 
                                <p>{el.price}</p>  
                            </div>
                        </Link> )
                    )}    
                      </div>
            }
        return (
           <div className="content">
                {data}
                <AddNewStaff/>
           </div> 
            
        );
    }
}

export default AllStaffs;

// '/staff/'+el.title