import React from 'react'
import { Field, reduxForm } from 'redux-form'




const SendingForm = props => {
  const { handleSubmit, pristine, reset, submitting, AddNewStaff } = props
  const submit = values => {
   values.img = "http://site.com"
   values.staff = "Машина"
   values.state = 1
   values.userId = 1
   values.categoryId = 1
   AddNewStaff(values)

};
  return (
    <form onSubmit={handleSubmit(submit)}>
      <div>
       
        <div>
          <Field
            name="title"
            component="input"
            type="text"
            placeholder="Название"
          />
        </div>
      </div>
      <div>
        
        <div>
          <Field
            name="description"
            component="input"
            type="text"
            placeholder="Описание"
          />
        </div>
      </div>
      <div> 
        <div>
          <Field
            name="price"
            component="input"
            type="number"
            placeholder="Цена"
          />
        </div>
      </div>
      <div>
        <button type="submit" disabled={pristine || submitting}>
          Submit
        </button>
        <button type="button" disabled={pristine || submitting} onClick={reset}>
          Clear Values
        </button>
      </div>
      </form>
  )
}

export default reduxForm({
  form: 'SendingForm'
})(SendingForm)