import React, { Component } from 'react';
import { Link } from "react-router-dom";
import MDSpinner from "react-md-spinner";



class SearchStaffsPage extends Component {
    render() {
        
        const {searchData, getInfoSearchStaffData, isFetching } = this.props
            
        let data;
            if(isFetching===true){
                data = <div> <MDSpinner size={100} duration={1000} /> </div> 
            }
            else{
                data = <div className="staffs">
                      {searchData.map((el,key)=>(<Link to="/search/Staff"  key={key} onClick={getInfoSearchStaffData.bind(null,[{description: el.description, title: el.title, price: el.price, img: el.img}])} ><div className="staff" > {el.title} {el.price}  </div></Link> )
                    )}
                      </div>
            }
        return (
            <div>
                
               {data} 
                 
            </div>
        );
    }
}

export default SearchStaffsPage;