import React, { Component } from 'react';
import { connect} from 'react-redux';
import * as actions from "../actions/staffsAction";
import { bindActionCreators } from "redux";

import FullInfoAboutStaff from '../components/AllStaffs/FullInfoAboutStaff'
import LeftMenu from '../components/LeftMenu'
import Header from '../container/Header'

class MainPageStaffInfo extends Component {
    render() {
       
        return (
            <div>
                <Header />
                <LeftMenu />
                <FullInfoAboutStaff {...this.props} />
            </div>
        );
    }
}

const mapStateToProps = state => ({

    InfoStaff: state.staffs.infoStaffs,

  });
  
  const mapDispatchToProps = dispatch => bindActionCreators({ ...actions }, dispatch);
  
  export default MainPageStaffInfo = connect(
        mapStateToProps,
        mapDispatchToProps
  )(MainPageStaffInfo);