import React, { Component } from 'react';
import { connect} from 'react-redux';
import * as actions from "../actions/searchStaffAction";

import { bindActionCreators } from "redux";

import SearchStaffsPage from "../components/SearchStaffsPage"
import LeftMenu from '../components/LeftMenu'
import Header from '../container/Header'



class SearchStaff extends Component {
 
      render() {
        
        return (
          <div>
            <Header />
            <LeftMenu />
            <SearchStaffsPage {...this.props} />
          </div>       
        );
      }
}


const mapStateToProps = state => ({
    searchData: state.searchStaff.searchData,
    isFetching: state.searchStaff.isFetching,
});

const mapDispatchToProps = dispatch => bindActionCreators({ ...actions }, dispatch);

export default SearchStaff = connect(
      mapStateToProps,
      mapDispatchToProps
)(SearchStaff);