import React from 'react'
import { Field, reduxForm } from 'redux-form'



const RegistrForm = props => {
  const { handleSubmit, pristine, reset, submitting } = props
  const submit = values => {
   console.log(props)
};
  return (
    <div className="formdiv">
		<form onSubmit={handleSubmit(submit)} className="form">
		
			<Field
				name="Login"
				component="input"
				type="text"
				placeholder="Login"
				className="input"
			/>
		
		
			<Field
				name="Name"
					component="input"
					type="text"
					placeholder="Name"
					className="input"
				/>
			
        
          <Field
            name="Phone"
            component="input"
            type="text"
			placeholder="+380XXXXXXXX"
			className="input"
          />
        
          <Field
            name="email"
            component="input"
            type="email"
			placeholder="email@example.com"
			className="input"
          />
        

      <ul class="tab-group">
        <li class="tab active"><a href="/signup">Sign Up</a></li>
        <li class="tab"><a href="/login">Log In</a></li>
      </ul>

        <div className="tab-group">
          <button className="button" type="submit" disabled={pristine || submitting}>Submit</button>
          <button className="button" type="button" disabled={pristine || submitting} onClick={reset}>Clear Values</button>
        </div>
      </form>
    </div>
  )
}

export default reduxForm({
  form: 'registrForm'
})(RegistrForm)