import React from "react";
import { Switch, Route } from "react-router-dom";

import MainPage from "./container/MainPage";
import Form from './components/Auth/index'
import RegistrForm from './components/Auth/registration'
import MainPageStaffInfo from './container/MainPageStaffInfo'
import SearchStaffs from './container/SearchStaffs'
import SearchStaffsInfo from './container/SearchStaffsInfo'
import AddNewStaff from './container/AddNewStaff'

export default () => (
	    <Switch>
            <Route path="/" exact component={()=><MainPage/>} />
                <Route path="/auth" exact component={()=><Form/>} />
                <Route path="/registration" exact component={()=><RegistrForm/>} />
                <Route path="/registration/login" exact component={()=><Form/>} />
                <Route path="/staff" exact component={()=><MainPageStaffInfo/>} />
                <Route path="/search" exact component={()=><SearchStaffs/>} />
                    <Route path="/search/Staff" exact component={()=><SearchStaffsInfo/>} />
                <Route path="/newStaff" exact component={()=><AddNewStaff/>} />
            
	    </Switch>
);

// /Ортопедическое кресло Austin/Рассрочка

